Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
boost::geometry::index::linear< MaxElements, MinElements > Struct Template Reference

Linear r-tree creation algorithm parameters. More...

`#include <parameters.hpp>`

List of all members.

## Detailed Description

### template<size_t MaxElements, size_t MinElements = detail::default_min_elements_s<MaxElements>::value>
struct boost::geometry::index::linear< MaxElements, MinElements >

Linear r-tree creation algorithm parameters.

Template Parameters:

  MaxElements | Maximum number of elements in nodes.
  MinElements | Minimum number of elements in nodes. Default: 0.3*Max.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/parameters.hpp

All Classes Functions Typedefs